/* Database schema for MySQL */

create table pageinfo
(
    pagename CHAR(255) binary NOT NULL,
    revision int(12) unsigned NOT NULL,
    userid CHAR(80) NOT NULL,
    utime TIMESTAMP(14) DEFAULT NULL,
    pageid int(12) unsigned NOT NULL,
    UNIQUE INDEX idx_pagename(pagename(30)),
    KEY idx_recently(utime desc)
) type=MyISAM;

create table pages
(
    pageid int(12) unsigned AUTO_INCREMENT,
    content MEDIUMTEXT,
    PRIMARY KEY(pageid),
) type=MyISAM;

/* vim:set ts=8 sts=4 sw=4 et: */
