<?php
// Copyright 2003 by Won-Kyu Park <wkpark at kldp.org> all rights reserved.
// distributable under GPL see COPYING
//
// many codes are imported from the MoinMoin
// some codes are reused from the Phiki
//
// * MoinMoin is a python based wiki clone based on the PikiPiki
//    by Ju"rgen Hermann <jhs at web.de>
// * PikiPiki is a python based wiki clone by MartinPool
// * Phiki is a php based wiki clone based on the MoinMoin
//    by Fred C. Yankowski <fcy at acm.org>
//
// a Wiki Frontend
//
// $Id: wiki.php,v 1.134 2004/01/08 19:16:51 wkpark Exp $

function get_scriptname() {
  // Return full URL of current page.
  // $_SERVER["SCRIPT_NAME"] has bad value under CGI mode
  // set 'cgi.fix_pathinfo=1' in the php.ini under
  // apache 2.0.x + php4.2.x Win32
  return $_SERVER["SCRIPT_NAME"];
}

include("wikilib.php");
$timing = new Timer();
include("wikidb.php");

# Start Main
$Config = getConfig("config.php", array('init'=>1));

$DBInfo = new WikiDB($Config);
register_shutdown_function(array(&$DBInfo,'Close'));

setup_locale($DBInfo, &$locale);
setup_options($DBInfo, &$options);

$options['timer'] = &$timing;
$options['timer']->Check("load");

$pagename = get_pagename($DBInfo->frontpage);
moni_main($DBInfo, $pagename, $options);

// vim:ts=8:sts=2:sw=2:et
?>
